<div class="row m-b-18px">
    <div class="col-md-12">
      <a (click)="createProduct()" class='btn btn-primary pull-right'>
        <span class='glyphicon glyphicon-plus'></span> Create Product
      </a>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <table class='table table-hover table-reponsive table-bordered'>
          <tr>
              <th>Product</th>
              <th>Price</th>
              <th>Description</th>              
              <th>Category</th>
              <th>Actions</th>              
          </tr>

          <tr *ngFor="let product of products">
            <td>{{product.name}}</td>
            <td>{{product.price}}</td>
            <td>{{product.description}}</td>
            <td>{{product.category_name}}</td>
            <td>
              <a (click) = "readOneProduct(product.id)" class='btn btn-primary m-r-5px'>
                <span class='glyphicon glyphicon-eye-open'></span> Read
              </a>

              <a (click) = "updateProduct(product.id)" class='btn btn-info m-r-5px'>
                  <span class='glyphicon glyphicon-edit'></span> Edit
              </a>

              <a (click) = "deleteProduct(product.id)" class='btn btn-danger m-r-5px'>
                  <span class='glyphicon glyphicon-remove'></span> Delete
              </a>

            </td>
          </tr>
        </table>
    </div>
</div>